Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.keywordsai.co/llms.txt

Use this file to discover all available pages before exploring further.

Get Perplexity AI API key

Get your Perplexity AI API key from the Perplexity AI platform to start using Perplexity AI models through Keywords AI.

Perplexity models compatibility

Add Perplexity API keys

There are 2 ways to add your Perplexity credentials to your requests:

Via UI

1

Go to the Providers page

2

Add your Perplexity credentials.

Dashboard Page

Add it in code

  • Add customer_credentials parameter in your request body to use your own Perplexity credits.
{
  // Rest of the request body
  "customer_credentials": {
    "perplexity": {
      "api_key": "YOUR_PERPLEXITY_API_KEY",
    }
  }
}

Full request example

from openai import OpenAI

client = OpenAI(
    base_url="https://api.keywordsai.co/api/",
    api_key="YOUR_KEYWORDSAI_API_KEY",
)

response = client.chat.completions.create(
    model="gpt-4o",
    messages=[{"role":"user", "content":"Tell me a long story"}],
    extra_body={"customer_credentials": {
                  "perplexity": {
                      "api_key": "YOUR_PERPLEXITY_API_KEY",
                  }
                }
              }
)